Download it now!
Bug 103612 - ToC is never shown in Master Document if it is in ODT in a section with a hide condition
Summary: ToC is never shown in Master Document if it is in ODT in a section with a hid...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2016-10-31 22:14 UTC by Mike Kaganski
Modified: 2019-05-14 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Master referencing document with section with hide condition (30.29 KB, application/x-zip-compressed)
2016-10-31 22:14 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2016-10-31 22:14:30 UTC
Created attachment 128392 [details]
Master referencing document with section with hide condition

ToC is never shown in Master Document, if it is in ODT in a section with a hide condition. It will not be shown even if the condition is false. However, simple text located in the same section is shown in master document.

To reproduce, extract the attachment in a directory, and open DUMMY.odm. The other two ODT files are referenced from that master document, and are identical except second doesn't have a hide condition for its section. The master document doesn't show ToC from first document, (though simple text from that section is visible) but shows ToC for second document. The condition for first document's section is DUMMY1 != 0; this condition is false (as apparent if the first document is opened itself);  there's no User Field named DUMMY1 which is equivalent to it being 0; and even explicitly defining the User Field equal to 0 doesn't resolve the issue.

Reproducible with:
* Version: 5.2.3.3 (x64)
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (ru_RU); Calc: group
* Version: 5.3.0.0.alpha1+
Build ID: c3043a3072465c489d3b20991b17d222771305eb
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: old; Locale: ru-RU (ru_RU); Calc: group
* Version: 5.2.2.2
Build ID: 1:5.2.2-0ubuntu1~xenial0
CPU Threads: 1; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
-> OS: All
Already reproducible with: OOo 3.3.0 OOO330m20 (Build:9567) -> inherited from OOo.
Comment 1 Xisco Faulí 2016-11-02 09:06:59 UTC
Confirmed in

- Version: 5.3.0.0.alpha1+
Build ID: 64d3bd38c9242c1cc114f6e68bf13475ef679b73
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; VCL: gtk2; Layout Engine: old; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 QA Administrators 2018-05-13 02:30:27 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2018-05-13 07:07:45 UTC
Still reproducible with Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 12; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 4 QA Administrators 2019-05-14 02:56:36 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug